> For the complete documentation index, see [llms.txt](https://api-docs.visadoc.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.visadoc.co/api-reference/actions.md).

# Actions

## Return the visa application audit trail — application status changes and events with old and new values, the actor and the related application. Supports the filters.

> Return the visa application audit trail — application status changes and events with old and new values, the actor and the related application. Supports the filters.\
> \<br />\<br />\
> \<b>Authentication:\</b> required

```json
{"openapi":"3.0.0","info":{"title":"v3","version":"0.0.1"},"servers":[{"url":"https://api.visadoc.co/api:v3"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/actions/search":{"post":{"operationId":"v3/actions/search|POST","summary":"Return the visa application audit trail — application status changes and events with old and new values, the actor and the related application. Supports the filters.","description":"Return the visa application audit trail — application status changes and events with old and new values, the actor and the related application. Supports the filters.\n<br /><br />\n<b>Authentication:</b> required","tags":["actions"],"parameters":[],"responses":{"200":{"description":"Success!","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":""},"created_at":{"type":"number","format":"timestamptz","description":"","default":"now"},"user_id":{"type":"string","format":"uuid","description":"","nullable":true},"application_id":{"type":"string","format":"uuid","description":"","nullable":true},"type":{"type":"string","description":""},"text":{"type":"string","description":""},"new_value":{"type":"string","description":""},"old_value":{"type":"string","description":""},"softrCreatedAt":{"type":"string","description":""}}}}}}},"400":{"description":"Input Error. Check the request payload for issues."},"401":{"description":"Unauthorized"},"403":{"description":"Access denied. Additional privileges are needed access the requested resource."},"404":{"description":"Not Found. The requested resource does not exist."},"429":{"description":"Rate Limited. Too many requests."},"500":{"description":"Unexpected error"}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"filters":{"type":"object","description":"","nullable":true},"page":{"type":"integer","format":"int64","description":""},"per_page":{"type":"integer","format":"int64","description":""}}}},"multipart/form-data":{"schema":{"type":"object","properties":{"filters":{"type":"object","description":"","nullable":true},"page":{"type":"integer","format":"int64","description":""},"per_page":{"type":"integer","format":"int64","description":""}}}}}}}}}}
```
